package com.fastbee.data.service.devicedetail.impl;

import com.fastbee.common.model.vo.iot.QueryLogVo;
import com.fastbee.common.utils.DevParamsUtils;
import com.fastbee.data.service.devicedetail.IDeviceDetailService;
import com.fastbee.iot.domain.Device;
import com.fastbee.iot.domain.ThingsModel;
import com.fastbee.iot.mapper.DeviceMapper;
import com.fastbee.iot.service.IDeviceService;
import com.fastbee.iot.service.IThingsModelService;
import com.fastbee.waterele.domain.MaWatereleRecord;
import com.fastbee.waterele.domain.dto.MaGuangaiRecordDto;
import com.fastbee.waterele.domain.dto.MaWatereleRecordDto;
import com.fastbee.xunjian.domain.XjInspectionRecords;
import com.fastbee.xunjian.domain.XjInspectionRoutes;
import com.fastbee.xunjian.mapper.XjInspectionRecordsMapper;
import com.fastbee.xunjian.mapper.XjInspectionRoutesMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

@Service
public class DeviceDetailServiceImpl implements IDeviceDetailService {

    private final DeviceMapper deviceMapper;

    @Autowired
    public IDeviceService iDeviceService;
    @Autowired
    private IThingsModelService thingsModelService;
    @Autowired
    private XjInspectionRoutesMapper xjInspectionRoutesMapper;
    @Autowired
    private XjInspectionRecordsMapper xjInspectionRecordsMapper;
    public DeviceDetailServiceImpl(DeviceMapper deviceMapper) {
        this.deviceMapper = deviceMapper;
    }

    @Override
    public List<MaWatereleRecord> shuakaRecord(MaWatereleRecordDto maWatereleRecordDto) {
        //todo
        return Collections.emptyList();
    }

    @Override
    public List<MaGuangaiRecordDto> guangaiRecord(MaGuangaiRecordDto maWatereleRecordDto) {
        //todo
        return Collections.emptyList();
    }

    @Override
    public List<Device> getBindDevices(String ids) {
        String[] idArray = ids.split(",");
        List<Long> idList = new ArrayList<>();
        for (String id : idArray) {
            try {
                idList.add(Long.parseLong(id));
            } catch (Exception e) {
            }
        }
        List<Device> devices = deviceMapper.selectDeviceListByDeviceIds(idList);
        return devices;
    }

    @Override
    public ArrayList<Object> gongdianChart(QueryLogVo queryLogVo) {
        Long deviceId = queryLogVo.getDeviceId();
        if (deviceId == null) {
            throw new RuntimeException("请上传devicerId");
        }
        Device device = iDeviceService.selectDeviceByDeviceId(deviceId);
        if (device == null) {
            throw new RuntimeException("未查到该设备");
        }
        Map<String, Object> devParams = DevParamsUtils.getDevParams(device.getDevParams());
        //太阳能设备
        String taiyangnengIds = devParams.get("taiyangnIds").toString();
        if (taiyangnengIds == null) {
            return new ArrayList<>();
        }
        ArrayList<Object> deviceLogAllCurves = iDeviceService.getDeviceLogAllCurves(Long.parseLong(taiyangnengIds), queryLogVo.getStartTime(), queryLogVo.getEndTime());
        return deviceLogAllCurves;
    }

    @Override
    public List<XjInspectionRecords> xunjianRecord(QueryLogVo queryLogVo) {
        //todo
        Long deviceId = queryLogVo.getDeviceId();
        if (deviceId == null) {
            throw new RuntimeException("请上传devicerId");
        }
        Device device = iDeviceService.selectDeviceByDeviceId(deviceId);
        if (device == null) {
            throw new RuntimeException("未查到该设备");
        }
        XjInspectionRoutes xjInspectionRoutes = new XjInspectionRoutes();
        xjInspectionRoutes.setEngineeringObjectId(deviceId);
        xjInspectionRoutes.setEngineeringObjectType("1");
        List<XjInspectionRoutes> xjInspectionRoutes1 = xjInspectionRoutesMapper.selectXjInspectionRoutesList(xjInspectionRoutes);
        if(xjInspectionRoutes1.size() > 0){
            List<XjInspectionRecords> xjInspectionRecordsList = new ArrayList<>();
            XjInspectionRecords xjInspectionRecords = new XjInspectionRecords();
            xjInspectionRecords.setInspectionRouteId(xjInspectionRoutes1.get(0).getId());
            xjInspectionRecords.setChaxunBeginTime(queryLogVo.getStartTime());
            xjInspectionRecords.setChaxunEndTime(queryLogVo.getEndTime());
            xjInspectionRecordsList = xjInspectionRecordsMapper.selectXjInspectionRecordsList(xjInspectionRecords);
            return xjInspectionRecordsList;
        }
        return new ArrayList<>();
    }




}
