package com.fastbee.iot.mapper;

import com.fastbee.iot.domain.SimulateLog;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 模拟设备日志Mapper接口
 * @author gsb
 * @date 2023/4/6 17:05
 */
@Repository
public interface SimulateLogMapper {

    /**
     * 查询模拟设备日志
     *
     * @param logId 模拟设备日志主键
     * @return 模拟设备日志
     */
    public SimulateLog selectSimulateLogByLogId(Long logId);

    /**
     * 查询模拟设备日志列表
     *
     * @param simulateLog 模拟设备日志
     * @return 模拟设备日志集合
     */
    public List<SimulateLog> selectSimulateLogList(SimulateLog simulateLog);

    /**
     * 新增模拟设备日志
     *
     * @param simulateLog 模拟设备日志
     * @return 结果
     */
    public int insertSimulateLog(SimulateLog simulateLog);

    /**
     * 修改模拟设备日志
     *
     * @param simulateLog 模拟设备日志
     * @return 结果
     */
    public int updateSimulateLog(SimulateLog simulateLog);

    /**
     * 删除模拟设备日志
     *
     * @param logId 模拟设备日志主键
     * @return 结果
     */
    public int deleteSimulateLogByLogId(Long logId);

    /**
     * 根据设备编号删除模拟设备日志
     *
     * @param serialNumber 设备编号
     * @return 结果
     */
    public int deleteSimulateLogBySerialNumber(String serialNumber);

    /**
     * 批量删除模拟设备日志
     *
     * @param logIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSimulateLogByLogIds(Long[] logIds);
}
