package com.fastbee.iot.model.anfang;

import com.fastbee.common.annotation.Excel;
import com.fastbee.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 设备告警上传对象 uploaded_photos
 * 
 * @author Dunxi Zang
 * @date 2024-06-19
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class UploadedPhotos extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 照片存储路径 */
    @Excel(name = "照片存储路径")
    private String photoPath;

    /** 设备IMEI号 */
    @Excel(name = "设备IMEI号")
    private String imei;

    /** 设备序列号 */
    @Excel(name = "设备序列号")
    private String sn;

    /** 纬度信息 */
    @Excel(name = "纬度信息")
    private Double lat;

    /** 经度信息 */
    @Excel(name = "经度信息")
    private Double lng;

    /** 温度信息 */
    @Excel(name = "温度信息")
    private Double temp;

    /** 门状态信息 */
    @Excel(name = "门状态信息")
    private String doorState;

    /** 震动状态信息 */
    @Excel(name = "震动状态信息")
    private String shakeState;

    /** 上传时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "上传时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date uploadTime;

}
