package com.fastbee.waterele.service;

import java.util.List;
import com.fastbee.waterele.domain.MaGuangaiRecord;

/**
 * 灌溉记录Service接口
 * 
 * @author kerwincui
 * @date 2024-08-12
 */
public interface IMaGuangaiRecordService 
{
    /**
     * 查询灌溉记录
     * 
     * @param id 灌溉记录主键
     * @return 灌溉记录
     */
    public MaGuangaiRecord selectMaGuangaiRecordById(Long id);

    /**
     * 查询灌溉记录列表
     * 
     * @param maGuangaiRecord 灌溉记录
     * @return 灌溉记录集合
     */
    public List<MaGuangaiRecord> selectMaGuangaiRecordList(MaGuangaiRecord maGuangaiRecord);

    /**
     * 新增灌溉记录
     * 
     * @param maGuangaiRecord 灌溉记录
     * @return 结果
     */
    public int insertMaGuangaiRecord(MaGuangaiRecord maGuangaiRecord);

    /**
     * 修改灌溉记录
     * 
     * @param maGuangaiRecord 灌溉记录
     * @return 结果
     */
    public int updateMaGuangaiRecord(MaGuangaiRecord maGuangaiRecord);

    /**
     * 批量删除灌溉记录
     * 
     * @param ids 需要删除的灌溉记录主键集合
     * @return 结果
     */
    public int deleteMaGuangaiRecordByIds(Long[] ids);

    /**
     * 删除灌溉记录信息
     * 
     * @param id 灌溉记录主键
     * @return 结果
     */
    public int deleteMaGuangaiRecordById(Long id);
}
