package com.fastbee.waterele.service.impl;

import java.util.List;
import com.fastbee.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fastbee.waterele.mapper.MaRechargerecordMapper;
import com.fastbee.waterele.domain.MaRechargerecord;
import com.fastbee.waterele.service.IMaRechargerecordService;

/**
 * 充值记录Service业务层处理
 * 
 * @author kerwincui
 * @date 2024-08-12
 */
@Service
public class MaRechargerecordServiceImpl implements IMaRechargerecordService 
{
    @Autowired
    private MaRechargerecordMapper maRechargerecordMapper;

    /**
     * 查询充值记录
     * 
     * @param id 充值记录主键
     * @return 充值记录
     */
    @Override
    public MaRechargerecord selectMaRechargerecordById(Long id)
    {
        return maRechargerecordMapper.selectMaRechargerecordById(id);
    }

    /**
     * 查询充值记录列表
     * 
     * @param maRechargerecord 充值记录
     * @return 充值记录
     */
    @Override
    public List<MaRechargerecord> selectMaRechargerecordList(MaRechargerecord maRechargerecord)
    {
        return maRechargerecordMapper.selectMaRechargerecordList(maRechargerecord);
    }

    /**
     * 新增充值记录
     * 
     * @param maRechargerecord 充值记录
     * @return 结果
     */
    @Override
    public int insertMaRechargerecord(MaRechargerecord maRechargerecord)
    {
        maRechargerecord.setCreateTime(DateUtils.getNowDate());
        return maRechargerecordMapper.insertMaRechargerecord(maRechargerecord);
    }

    /**
     * 修改充值记录
     * 
     * @param maRechargerecord 充值记录
     * @return 结果
     */
    @Override
    public int updateMaRechargerecord(MaRechargerecord maRechargerecord)
    {
        maRechargerecord.setUpdateTime(DateUtils.getNowDate());
        return maRechargerecordMapper.updateMaRechargerecord(maRechargerecord);
    }

    /**
     * 批量删除充值记录
     * 
     * @param ids 需要删除的充值记录主键
     * @return 结果
     */
    @Override
    public int deleteMaRechargerecordByIds(Long[] ids)
    {
        return maRechargerecordMapper.deleteMaRechargerecordByIds(ids);
    }

    /**
     * 删除充值记录信息
     * 
     * @param id 充值记录主键
     * @return 结果
     */
    @Override
    public int deleteMaRechargerecordById(Long id)
    {
        return maRechargerecordMapper.deleteMaRechargerecordById(id);
    }
}
